=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libkf5doctools-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
-               libkf5mbox-dev (>= 23.08.4~),
+               libkf5mbox-dev (>= 23.08.5~),
                libkf5wallet-dev (>= 5.71.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libldap2-dev,
