=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libsasl2-dev,
                qt6-base-dev (>= 6.6.0+dfsg~),
                qtkeychain-qt6-dev (>= 0.14.2~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/pim/kldap
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kldap
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kldap.git
